<template>
    <div class="listmails">

    <vue-headful
            title="needoc · bandeja de entrada"
            description="bandeja de entrada"
        />
        <!-- <h1>Bandeja de entrada</h1> -->
        <listmails v-on:MessageIdEmit="receiveMessageId" :emails="listmailsAPI"/>
    </div>
</template>

<script>
import axios from 'axios';
import listmails from '@/components/InboxUsers.vue';

import { getAuthToken } from '../../../backend/utils/utils'
import { getIsAdmin } from '../../../backend/utils/utils'

export default {
    name: 'inbox',
    components: {
        listmails,
    },
    // inicio data
    data(){
        return{
            listmailsAPI:[],
            idURL:'',
        };
    },
    // FIN DATA
    
  methods: {
    
    // FUNCIÓN PARA CONSEGUIR LISTADO DOCTORES
    getInbox(){
        
      var self = this;
      // LLAMADA DE AXIOS AL BACKEND
      axios.get('http://localhost:3050/inbox', {
        headers:{
            Authorization: getAuthToken()
               }
            })
      .then( function(response) {
        
       // console.log(response.data.number_messages) // numero de mensajs
       console.log(response.data.data)
        self.listmailsAPI = response.data.data

      })
      .catch( function (error) {
        console.log(error)
      } )
    },

    
    receiveMessageId(dataMessage){ // dataMessage viene del componente TodasLasNotas.vue
        if(getIsAdmin() === 'doctor'){
            // si soy doctor busco por el id de la consulta del paciente
            this.idURL = dataMessage.id_mess
        }
        if(getIsAdmin() === 'normal'){
            // si soy paciente busco por el id de la respueta del doctor
            this.idURL = dataMessage.id_reply
        }

        this.$router.push(`/inbox/${this.idURL}`) // vamos al mensaje seleccionado

        // this.$router.push(`/inbox/${dataMessage.id_mess}`) // vamos al mensaje seleccionado
        // console.log('Inbox.vue, id mensaje-->' + dataMessage.id_mess)
        // console.log('role-->',getIsAdmin())
        // console.log('idURL-->',this.idURL)
        // this.notaId = dataMessage.id
    },
  },
  created() {
    this.getInbox()
  }

}
</script>

<style scoped>
.listmails {
  padding: 0 5rem
}

</style>